#!/bin/bash

if [ ! -f /var/spool/spamassassin/auto-whitelist ]
then
	# répertoire des listes blanches spamassassin
	mkdir -p /var/spool/spamassassin
	touch /var/spool/spamassassin/auto-whitelist
	chown -R mail.mail /var/spool/spamassassin
fi

# fichier des founrnisseurs ldap
if [ ! -f /etc/ldap/replication.conf ];then
	touch /etc/ldap/replication.conf
fi

echo -e "\n## Gestion du mot de passe LDAP ##"
PASSWD=`/usr/bin/pwgen -1`
/usr/share/eole/ldap_pwd.py $PASSWD >/dev/null

# ajout/vérification de l'utilisateur reader
# FIXME #1653
#/usr/share/eole/gen_reader.py
echo

# initialisation du fichier relayhosts
[ ! -f /etc/mail/relayhosts ] && echo 127.0.0.1 > /etc/mail/relayhosts

# fichier de routes exim
/usr/share/eole/gen_routes.py

exit 0
