#!/bin/bash

. /usr/share/eole/FonctionsEoleNg

# répertoire des listes blanches spamassassin
mkdir -p /var/spool/spamassassin
touch /var/spool/spamassassin/auto-whitelist
chown -R mail.mail /var/spool/spamassassin

# fichier des founrnisseurs ldap
touch /etc/ldap/replication.conf

echo -e "\n## Gestion du mot de passe LDAP ##"
PASSWD=`/usr/bin/pwgen -1`
/usr/share/eole/ldap_pwd.py $PASSWD >/dev/null
if [ ! -e /var/lib/ldap/cn.bdb ]
then
	/etc/init.d/slapd stop >/dev/null 2>&1
	rm -f /var/lib/ldap/*.*
	/etc/init.d/slapd start >/dev/null
	sleep 2

	# création de l'arborescence minimale
	ldapadd -x  -D cn=admin,o=gouv,c=fr -w $PASSWD -f /etc/sysconfig/eole/DIT.ldif >/dev/null
fi
# ajout/vérification de l'utilisateur reader
# FIXME #1653
#/usr/share/eole/gen_reader.py
echo

# initialisation du fichier relayhosts
[ ! -f /etc/mail/relayhosts ] && echo 127.0.0.1 > /etc/mail/relayhosts

# fichier de routes exim
/usr/share/eole/gen_routes.py

exit 0
